//---------------------------------------------------------------------------

#ifndef clientH
#define clientH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ScktComp.hpp>
//---------------------------------------------------------------------------

class TClientForm : public TForm
{
__published:	// IDE-managed Components
	TMemo *Memo1;

	TClientSocket *ClientSocket1;

	void __fastcall ClientSocket1Connect(TObject *Sender,
          TCustomWinSocket *Socket);
	void __fastcall ClientSocket1Read(TObject *Sender,
          TCustomWinSocket *Socket);
	void __fastcall ClientSocket1Error(TObject *Sender,
          TCustomWinSocket *Socket, TErrorEvent ErrorEvent,
          int &ErrorCode);

        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        boolean __fastcall SendCmd(String title, String str);
        boolean __fastcall SendCmd(int index);
        boolean __fastcall SendCmd(long s1, long s2, long s3, long s4);
        boolean __fastcall Connect();

private:	// User declarations
       
public:		// User declarations
	__fastcall TClientForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TClientForm *ClientForm;
extern ConErrFlag;
//---------------------------------------------------------------------------
#endif
